# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname oniguruma

Name: ruby-%pkgname
Version: 1.1.0
Release: alt1

Summary: Ruby bindings to the Oniguruma regular expression library
Group: Development/Ruby
License: BSD
Url: http://rubyforge.org/projects/oniguruma/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on Fri Jul 25 2008 (-bi)
BuildRequires: libonig-devel libruby-devel ruby-module-etc ruby-tool-setup

%description
Ruby bindings to the Oniguruma regular expression library.

%package doc
Summary: Documentation files for %pkgname
Group: Documentation

%description doc
Documentation files for %pkgname

%prep
%setup -q -n %pkgname-%version
%patch -p1
cp %_datadir/ruby-setup/setup.rb .

%build
%ruby_config
%ruby_build
%ruby_vendor -Iext:lib -rtest/unit/autorunner -e 'Test::Unit::AutoRunner.run'

%install
%ruby_install
%rdoc ext/*.c lib/

%files
%doc History.txt README.txt Syntax.txt
%ruby_sitelibdir/*
%ruby_sitearchdir/*

%files doc
%ruby_ri_sitedir/Oniguruma

%changelog
* Fri Jul 25 2008 Sir Raorn <raorn@altlinux.ru> 1.1.0-alt1
- Built for Sisyphus

